بولتن امنیتی اندروید - ژانویه 2019

منتشر شده در 7 ژانویه 2019 | به روز شده در 7 ژانویه 2019

بولتن امنیتی اندروید حاوی جزئیاتی از آسیب پذیری های امنیتی است که بر دستگاه های اندرویدی تأثیر می گذارد. سطوح وصله امنیتی 2019-01-05 یا جدیدتر تمام این مشکلات را برطرف می کند. برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

شرکای Android حداقل یک ماه قبل از انتشار از همه مشکلات مطلع می شوند. وصله کد منبع برای این مشکلات در مخزن پروژه منبع باز Android (AOSP) منتشر شده و از این بولتن پیوند داده شده است. این بولتن همچنین شامل پیوندهایی به وصله های خارج از AOSP است.

شدیدترین این مشکلات یک آسیب پذیری امنیتی حیاتی در سیستم است که می تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند. ارزیابی شدت مبتنی بر تأثیری است که بهره‌برداری از آسیب‌پذیری احتمالاً روی دستگاه آسیب‌دیده می‌گذارد، با این فرض که پلت‌فرم و کاهش خدمات برای اهداف توسعه خاموش شده‌اند یا اگر با موفقیت دور زده شوند.

ما هیچ گزارشی مبنی بر بهره برداری یا سوء استفاده فعال مشتری از این مشکلات گزارش شده جدید نداشته ایم. برای جزئیات بیشتر در مورد حفاظت های پلتفرم امنیتی اندروید و Google Play Protect که امنیت پلتفرم اندروید را بهبود می بخشد، به بخش کاهش دهنده های Android و Google Play Protect مراجعه کنید.

توجه: اطلاعات مربوط به آخرین به‌روزرسانی خارج از هوا (OTA) و تصاویر میان‌افزار دستگاه‌های Google در بولتن ژانویه ۲۰۱۹ پیکسل به‌روزرسانی موجود است.

کاهش خدمات اندروید و گوگل

این خلاصه‌ای از کاهش‌های ارائه شده توسط پلتفرم امنیتی Android و محافظت‌های خدماتی مانند Google Play Protect است. این قابلیت ها احتمال سوء استفاده موفقیت آمیز از آسیب پذیری های امنیتی در اندروید را کاهش می دهد.

  • بهره برداری از بسیاری از مسائل در اندروید با بهبود نسخه های جدیدتر پلت فرم اندروید دشوارتر شده است. ما همه کاربران را تشویق می کنیم تا در صورت امکان به آخرین نسخه اندروید بروزرسانی کنند.
  • تیم امنیتی Android به طور فعال از طریق Google Play Protect برای سوء استفاده نظارت می کند و به کاربران در مورد برنامه های بالقوه مضر هشدار می دهد. Google Play Protect به طور پیش‌فرض در دستگاه‌های دارای سرویس‌های تلفن همراه Google فعال است و به ویژه برای کاربرانی که برنامه‌هایی را از خارج از Google Play نصب می‌کنند، مهم است.

جزئیات آسیب پذیری سطح وصله امنیتی 01/01/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی مربوط به سطح وصله 01-01-2019 را ارائه می‌کنیم. آسیب‌پذیری‌ها بر اساس مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند. شرحی از مشکل و جدولی با CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت و نسخه‌های به‌روزرسانی‌شده AOSP (در صورت لزوم) وجود دارد. زمانی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعداد زیر شناسه اشکال مرتبط می شوند.

چارچوب

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا الزامات تعامل کاربر را برای دسترسی به مجوزهای اضافی دور بزند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2018-9582 الف-112031362 EoP بالا 8.0، 8.1، 9

سیستم

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2018-9583 الف-112860487 RCE بحرانی 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9584 الف-114047681 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9585 الف-117554809 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9586 الف-116754444 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9587 الف-113597344 EoP بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9588 الف-111450156 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9589 الف-111893132 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9590 الف-115900043 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9591 الف-116108738 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9592 الف-116319076 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9593 الف-116722267 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2018-9594 الف-116791157 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

جزئیات آسیب پذیری سطح وصله امنیتی 05/01/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی مربوط به سطح وصله ۰۵-۰۱-۲۰۱۹ را ارائه می‌کنیم. آسیب‌پذیری‌ها تحت مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند و شامل جزئیاتی مانند CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت ، مؤلفه (در صورت لزوم)، و نسخه‌های به‌روزرسانی‌شده AOSP (در صورت لزوم) می‌شوند. زمانی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعداد زیر شناسه اشکال مرتبط می شوند.

اجزای هسته

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت مولفه
CVE-2018-10876 الف-116406122
هسته بالادست
EoP بالا فایل سیستم ext4
CVE-2018-10880 الف-116406509
هسته بالادست
EoP بالا فایل سیستم ext4
CVE-2018-10882 الف-116406626
هسته بالادست
EoP بالا فایل سیستم ext4
CVE-2018-13405 الف-113452403
هسته بالادست
EoP بالا سیستم فایل
CVE-2018-18281 الف-118836219
هسته بالادست
EoP بالا TLB
CVE-2018-17182 الف-117280327
هسته بالادست
EoP بالا مدیر حافظه
CVE-2018-10877 الف-116406625
هسته بالادست
شناسه بالا فایل سیستم ext4

اجزای NVIDIA

شدیدترین آسیب پذیری در این بخش می تواند یک برنامه مخرب محلی را قادر سازد تا کد دلخواه را در چارچوب یک فرآیند ممتاز اجرا کند.

CVE منابع تایپ کنید شدت مولفه
CVE-2018-6241 A-62540032 * EoP بالا اژدها BSP

قطعات کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2018-11962 الف-117118292
QC-CR#2267916
N/A بالا سمعی
CVE-2018-12014 الف-117118062
QC-CR#2278688
N/A بالا داده HLOS - LNX
CVE-2018-13889 الف-117118677
QC-CR#2288358
N/A بالا جی پی اس

اجزای منبع بسته کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2018-11847 A-111092812 * N/A بحرانی جزء منبع بسته
CVE-2018-11888 A-111093241 * N/A بالا جزء منبع بسته
CVE-2018-13888 A-117119136 * N/A بالا جزء منبع بسته

پرسش و پاسخ متداول

این بخش به سوالات رایجی که ممکن است پس از خواندن این بولتن رخ دهد پاسخ می دهد.

1. چگونه تشخیص دهم که آیا دستگاه من برای رفع این مشکلات به روز شده است؟

برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

  • سطوح وصله امنیتی 2019-01-01 یا جدیدتر تمام مسائل مرتبط با سطح وصله امنیتی 2019-01-01 را برطرف می کند.
  • سطوح وصله امنیتی 2019-01-05 یا جدیدتر، تمام مسائل مرتبط با سطح وصله امنیتی 2019-01-05 و تمام سطوح وصله قبلی را برطرف می کند.

سازندگان دستگاه‌هایی که شامل این به‌روزرسانی‌ها می‌شوند باید سطح رشته وصله را روی موارد زیر تنظیم کنند:

  • [ro.build.version.security_patch]:[01-01-2019]
  • [ro.build.version.security_patch]: [05-01-2019]

2. چرا این بولتن دارای دو سطح وصله امنیتی است؟

این بولتن دارای دو سطح وصله امنیتی است تا شرکای Android انعطاف پذیری لازم را داشته باشند تا زیرمجموعه ای از آسیب پذیری ها را که در همه دستگاه های اندرویدی مشابه هستند با سرعت بیشتری برطرف کنند. شرکای Android تشویق می شوند تا همه مشکلات موجود در این بولتن را برطرف کنند و از آخرین سطح وصله امنیتی استفاده کنند.

  • دستگاه‌هایی که از سطح وصله امنیتی 01-01-2019 استفاده می‌کنند باید شامل تمام مشکلات مرتبط با آن سطح وصله امنیتی و همچنین رفع تمام مشکلات گزارش‌شده در بولتن‌های امنیتی قبلی باشند.
  • دستگاه‌هایی که از سطح وصله امنیتی 05/01/2019 یا جدیدتر استفاده می‌کنند باید همه وصله‌های قابل‌اجرا در این (و قبلی) بولتن‌های امنیتی را شامل شوند.

شرکا تشویق می شوند تا اصلاحات مربوط به همه مشکلاتی را که در حال رفع آنها هستند در یک به روز رسانی واحد جمع کنند.

3. ورودی های ستون Type به چه معناست؟

ورودی های ستون نوع جدول جزئیات آسیب پذیری به طبقه بندی آسیب پذیری امنیتی اشاره دارد.

مخفف تعریف
RCE اجرای کد از راه دور
EoP بالا بردن امتیاز
شناسه افشای اطلاعات
DoS خود داری از خدمات
N/A طبقه بندی در دسترس نیست

4. ورودی های ستون References به چه معناست؟

ورودی‌های زیر ستون مراجع جدول جزئیات آسیب‌پذیری ممکن است حاوی پیشوندی باشد که سازمانی را که مقدار مرجع به آن تعلق دارد، مشخص می‌کند.

پیشوند ارجاع
آ- شناسه باگ اندروید
QC- شماره مرجع کوالکام
M- شماره مرجع مدیاتک
N- شماره مرجع NVIDIA
ب- شماره مرجع Broadcom

5. یک * در کنار شناسه باگ اندروید در ستون References به چه معناست؟

مسائلی که به صورت عمومی در دسترس نیستند دارای یک * در کنار شناسه اشکال Android در ستون References هستند. به‌روزرسانی برای آن مشکل عموماً در آخرین درایورهای باینری دستگاه‌های Pixel موجود در سایت Google Developer موجود است.

6. چرا آسیب‌پذیری‌های امنیتی بین این بولتن و بولتن‌های امنیتی دستگاه/شریک، مانند بولتن Pixel تقسیم شده است؟

آسیب پذیری های امنیتی که در این بولتن امنیتی مستند شده اند برای اعلام آخرین سطح وصله امنیتی در دستگاه های اندرویدی مورد نیاز هستند. آسیب‌پذیری‌های امنیتی اضافی که در بولتن‌های امنیتی دستگاه/شریک مستند شده‌اند، برای اعلام سطح وصله امنیتی لازم نیست. تولیدکنندگان دستگاه‌های اندرویدی و چیپ‌ست تشویق می‌شوند تا از طریق وب‌سایت‌های امنیتی خودشان، مانند بولتن‌های امنیتی Samsung ، LGE ، یا Pixel ، وجود اصلاحات دیگر را در دستگاه‌های خود مستند کنند.

نسخه ها

نسخه تاریخ یادداشت
1.0 7 ژانویه 2019 بولتن منتشر شد
1.1 7 ژانویه 2019 بولتن اصلاح شد تا شامل پیوندهای AOSP باشد.